Subject: Re: [icnrg] New Version Notification for draft-suthar-icnrg-icn-lte-4g-03.txt

From: "Prakash Suthar (psuthar)" <[email-masked]>
Date: Wed, 20 Sep 2017 00:40:02 +0000

Dear ICNRG team,

Greetings.

We have published Version 3 of our “draft-suthar-icnrg-icn-lte-4g”. 
We reviewed feedback from David Oran, Luca Muscariello, Rahman, Akbar  and Dirk Trossen and incorporated their review comments after in-depth discussions among authors.

Summary of changes in version 3:
       Network Slicing 
       Control and user plane separation, 
       Security 
       Redefined “Transport Selector” as “Transport Convergence Layer” with additional functions
       Additional transport capabilities of “IP over ICN”

Please review this document and provide any additional review comments.

We look forward to present the document in upcoming ICNRG meeting.

Authors
Prakash Suthar, Anil Jangam, Milan Stolic, Dirk
========

On 9/19/17, 7:16 PM, "[email-masked]" <[email-masked]> wrote:

    A new version of I-D, draft-suthar-icnrg-icn-lte-4g-03.txt
    has been successfully submitted by Prakash Suthar and posted to the
    IETF repository.
    
    Name:		draft-suthar-icnrg-icn-lte-4g
    Revision:	03
    Title:		Native Deployment of ICN in LTE, 4G Mobile Networks
    Document date:	2017-09-19
    Group:		Individual Submission
    Pages:		32
    URL:            https://www.ietf.org/internet-drafts/draft-suthar-icnrg-icn-lte-4g-03.txt
    Status:         https://datatracker.ietf.org/doc/draft-suthar-icnrg-icn-lte-4g/
    Htmlized:       https://tools.ietf.org/html/draft-suthar-icnrg-icn-lte-4g-03
    Htmlized:       https://datatracker.ietf.org/doc/html/draft-suthar-icnrg-icn-lte-4g-03
    Diff:           https://www.ietf.org/rfcdiff?url2=draft-suthar-icnrg-icn-lte-4g-03
    
    Abstract:
       LTE, 4G mobile networks use IP based transport for control plane to
       establish the data session and user plane for actual data delivery.
       In existing architecture, IP transport used in user plane is not
       optimized for data transport, which leads to an inefficient data
       delivery. IP unicast routing from server to clients is used for
       delivery of multimedia content to User Equipment (UE), where each
       user gets a separate stream. From bandwidth and routing perspective
       this approach is inefficient. Multicast and broadcast technologies
       have emerged recently for mobile networks, but their deployments are
       very limited or at an experimental stage due to complex architecture
       and radio spectrum issues. ICN is a rapidly emerging technology with
       built-in features for efficient multimedia data delivery, however
       majority of the work is focused on fixed networks. The main focus of
       this draft is on native deployment of ICN in cellular mobile networks
       by using ICN in 3GPP protocol stack. ICN has an inherent capability
       for multicast, anchorless mobility, security and it is optimized for
       data delivery using local caching at the edge. The native ICN (it
       runs directly on cellular layer 2 protocols like PDCP/RLC/MAC/L1) or
       dual stack (along with IP) deployment will bring all inherent
       benefits and help in optimizing mobile networks.

    
    Please note that it may take a couple of minutes from the time of submission
    until the htmlized version and diff are available at tools.ietf.org.
    
    The IETF Secretariat